Subject: `sort-lines' on the empty region

From: Xue Fuqiao <[email-masked]>
Date: Tue, 22 Jan 2013 08:53:54 +0800

The current behavior of `sort-lines' on the empty region is to do
nothing. I often find that I want to sort whole buffers at the time,
and I expect `sort-lines' to do just that, before remembering I have
to mark the whole buffer first.

Wouldn't it be convenient to change the behavior of `sort-lines' so
that it sorts the whole buffer if no region is marked? Or is this
inconsistent with how other region-operating functions works?

See:
http://lists.gnu.org/archive/html/emacs-devel/2013-01/msg00492.html
-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao